Skip Navigation
Expand
"Internet Explorer Required" message when attempting to install Oracle Service Cloud in Internet Explorer 11
Answer ID 6596   |   Last Review Date 01/08/2019

Why are agents seeing "You must use Internet Explorer to install Oracle Service Cloud on your computer", even though they are using Internet Explorer?

Environment:

Oracle Service Cloud agent console, versions February 2014 and newer
Internet Explorer 11

Resolution:

If your agents are receiving this message it means that the browser check on your site's launch URL did not identify the browser being used as Internet Explorer.

If the "Internet Explorer Required" message is being displayed in Internet Explorer 11 please check to make sure that it is not running in any type of compatibility mode by following these steps:

1. While in Internet Explorer, press F12 to access the developer tools console
2. Press Ctrl+8 to select the "Emulation" tab
3. Under "User agent string", select "Default"


Notes:

A requirement of the ClickOnce deployment method for the Oracle Service Cloud agent console is that the installer must be launched from a supported version of Internet Explorer.

To ensure a smooth deployment, a browser check is performed when an agent navigates to your site's launch URL (for example, http://<your_interface>.custhelp.com/cgi-bin/<your_interface>.cfg/php/admin/launch.php) to verify Internet Explorer is being used.

This browser check is performed using a jscript method called "conditional compilation". According to Microsoft, conditional compilation is not supported in Internet Explorer 11 'Standards' mode.

Available Languages for this Answer:

Notify Me
The page will refresh upon submission. Any pending input will be lost.